
def generate_random_table_name(postgres_connection):
    import random
    import string

    def random_string(length=10):
        letters = string.ascii_lowercase
        return ''.join(random.choice(letters) for i in range(length))

    with postgres_connection.cursor() as cursor:
        cursor.execute("SELECT table_name FROM information_schema.tables WHERE table_schema='public'")
        existing_tables = [table[0] for table in cursor.fetchall()]
        new_table_name = random_string()
        while new_table_name in existing_tables:
            new_table_name = random_string()
        return new_table_name



